## org.eclipse.datatools.connectivity.ui.wizards
Class ExtensibleProfileDetailsPropertyPage

    java.lang.Object
      PropertyPage
          org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
              org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsPropertyPage

All Implemented Interfaces:
  IDriverUIContributorInformation

    public class ExtensibleProfileDetailsPropertyPage

extends ProfileDetailsPropertyPage
implements IDriverUIContributorInformation

Constructor Summary
`ExtensibleProfileDetailsPropertyPage(java.lang.String driverCategoryID)`

Method Summary
`boolean` `determinePageCompletion()`
`java.util.Properties` `getProperties()`
`void` `setProperties(java.util.Properties properties)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
`setPingButtonEnabled`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, dispose, getConnectionProfile, performOk`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensibleProfileDetailsPropertyPage

    public ExtensibleProfileDetailsPropertyPage(java.lang.String driverCategoryID)

Method Detail

### determinePageCompletion

    public boolean determinePageCompletion()

### getProperties

    public java.util.Properties getProperties()

  Specified by:
    `getProperties` in interface `IDriverUIContributorInformation`

### setProperties

    public void setProperties(java.util.Properties properties)

  Specified by:
    `setProperties` in interface `IDriverUIContributorInformation`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.